Subject: Re: linux-next: manual merge of the staging tree with the staging.current tree

From: Greg KH <[email-masked]>
Date: Tue, 14 Jun 2022 08:42:20 +0200

On Tue, Jun 14, 2022 at 12:24:48PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the staging tree got a conflict in:
> 
>   drivers/staging/r8188eu/os_dep/ioctl_linux.c
> 
> between commit:
> 
>   96f0a54e8e65 ("staging: r8188eu: Fix warning of array overflow in ioctl_linux.c")
> 
> from the staging.current tree and commit:
> 
>   ac663ae22f02 ("staging: r8188eu: replace FIELD_OFFSET with offsetof")
> 
> from the staging tree.
> 
> I fixed it up (I just used the latter) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Thanks, I'll resolve this when the staging-linus branch goes to Linus in
a few days.

greg k-h